Bug 85280 - [CG] Minor refactor of ImageBuffer::CGImageToDataURL and its callers
Summary: [CG] Minor refactor of ImageBuffer::CGImageToDataURL and its callers
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: noel gordon
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-05-01 06:59 PDT by noel gordon
Modified: 2012-05-07 01:08 PDT (History)
5 users (show)

See Also:


Attachments
Patch (5.60 KB, patch)
2012-05-01 07:05 PDT, noel gordon
no flags Details | Formatted Diff | Diff
Patch (5.73 KB, patch)
2012-05-03 22:15 PDT, noel gordon
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description noel gordon 2012-05-01 06:59:09 PDT
[CG] Minor refactor of ImageBuffer::CGImageToDataURL and its callers
Comment 1 noel gordon 2012-05-01 07:05:09 PDT
Created attachment 139621 [details]
Patch
Comment 2 noel gordon 2012-05-03 22:15:49 PDT
Created attachment 140157 [details]
Patch
Comment 3 noel gordon 2012-05-03 22:16:39 PDT
Adding Kenneth for the webgl aspect.
Comment 4 noel gordon 2012-05-03 22:45:00 PDT
canvas/philip/tests/toDataURL* and fast/canvas/webgl/premultiplyalpha-test.html are passing locally for me with this change.
Comment 5 Kenneth Russell 2012-05-04 13:29:16 PDT
Comment on attachment 140157 [details]
Patch

Looks fine. r=me
Comment 6 WebKit Review Bot 2012-05-04 17:49:00 PDT
Comment on attachment 140157 [details]
Patch

Clearing flags on attachment: 140157

Committed r116196: <http://trac.webkit.org/changeset/116196>
Comment 7 WebKit Review Bot 2012-05-04 17:49:04 PDT
All reviewed patches have been landed.  Closing bug.
Comment 8 noel gordon 2012-05-07 01:08:11 PDT
Noticed the alpha channel stuffing to 255 similar to bug 84319. Again we could tell the CG JPEG image encoder to just ignore the alpha channel.  Filed bug 85779 about that.